CREATE TABLE hey_common_staging_msg_log (
    LOAD_MESSAGE_ID              NUMBER(18, 0) ,
    LOAD_ROW_ID                  NUMBER(18, 0)     NOT NULL,
    LOADER_MAP_ID                NUMBER(18, 0) ,
    LOAD_ELEMENT_ATTRIBUTE_ID    NUMBER(18, 0) ,
    MESSAGE_CATALOG_ID           VARCHAR2(4000)    NOT NULL,
    MESSAGE_TYPE_CODE            VARCHAR2(120)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    LOAD_MESSAGE_ID              NUMBER(18, 0) ,
    LOAD_ROW_ID                  NUMBER(18, 0)     NOT NULL,
    LOADER_MAP_ID                NUMBER(18, 0) ,
    MESSAGE_CATALOG_ID           VARCHAR2(4000)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    LOAD_ELEMENT_ATTRIBUTE_ID    NUMBER(18, 0) ,
    MESSAGE_TYPE_CODE            VARCHAR2(120)     NOT NULL,
    CONSTRAINT pk_hey_common_staging_msg_log PRIMARY KEY (LOAD_MESSAGE_ID, LOAD_MESSAGE_ID)
);
